Returns the next sibling node of the current node

- « tidyNode::__construct

- tidyNode::getParent »

- PHP Manual
- tidyNode
- Returns the next sibling node of the current node

# tidyNode::getNextSibling

(PHP 8 >= 8.4.0)

tidyNode::getNextSibling — Returns the next sibling node of the current node

### Description

public tidyNode::getNextSibling(): ?tidyNode

Returns the next sibling node of the current node.

### Parameters

This function has no parameters.

### Return Values

Returns a tidyNode if the node has a next sibling, or `null` otherwise.

### Examples

Example #1 tidyNode::getNextSibling() example

    <?php

    $html = <<< HTML
    <html>
     <head>
     </head>
     <body>
      <p>Hello</p><p>World</p>
     </body>
    </html>

    HTML;

    $tidy = tidy_parse_string($html);

    $node = $tidy->body();
    var_dump($node->child[0]->getNextSibling()->value);

    ?>

The above example will output:

    string(13) "<p>World</p>
    "

### See Also

- tidyNode::getParent() - Returns the parent node of the current node
- tidyNode::getPreviousSibling() - Returns the previous sibling node of the current node